GET
Error

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

Response

200 - application/json

Metadata fields for the knowledge base.

doc_metadata
object[]

List of metadata field definitions.

built_in_field_enabled
boolean

Whether built-in metadata fields are enabled for this knowledge base.